TODO
====

An unsorted list of project ideas, in case I run out of things to do. Some of these will
inevitably be stale or already done.

* Replace csscolorparser with something better adapted

* Make clicking the close button work

* Push the "is the current pixel terrain" check down into the atmosphere model
  to where we check if the view ray intersects so that we can kill the sunset line finally

* Collect startup logs somehow

* Collect panics and other unhandled exceptions

* Collect crash dumps

* Draw regalia on planes
We need to implement a projective decal system for this.

* Finish implementing the realistic flight model and make it togglable

* Figure out how high terrain is.
We fudged this with a good looking constant. Would be nice to have units on this.

* Shape exporter
We want to be able to load and show non-SH shapes, e.g. as an override for old and busted models.
Once we have that capability it is a reasonable jump to render to Janes SH files.

* How big are shapes?
Scaling by 4x works for runways, but other shapes appear to want some scaling, but not that much.
Others seem to want way more.

* Let there be shadow
Figure out cascading projective shadow maps and feed that info back into the atmosphere model

